# Class GenotypeJEXLContext

java.lang.Object
htsjdk.variant.variantcontext.GenotypeJEXLContext

All Implemented Interfaces:
  `org.apache.commons.jexl2.JexlContext`

public class GenotypeJEXLContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`GenotypeJEXLContext(VariantContext vc, Genotype g)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(String name)`
`boolean`
`has(String name)`
`void`
`set(String name, Object value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenotypeJEXLContext

public GenotypeJEXLContext(VariantContext vc, Genotype g)

## Method Details

### get

public Object get(String name)

Specified by:
  `get` in interface `org.apache.commons.jexl2.JexlContext`

### has

public boolean has(String name)

Specified by:
  `has` in interface `org.apache.commons.jexl2.JexlContext`

### set

public void set(String name, Object value)

Specified by:
  `set` in interface `org.apache.commons.jexl2.JexlContext`
Throws:
  `UnsupportedOperationException`